Transactions
Get Transactions
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 500Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?"createTime"
Sorts the items by a specified value
Default
"createTime"Value in
- "createTime"
filter?unknown
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/transactions?limit=10&offset=0&sort_order=desc&sort_by=createTime" \ -H "accept-language: ja"{ "total": 0, "data": [ { "clientId": 1, "transactionId": 1, "creditDetails": { "account": { "accountId": 0, "accountNumber": "12345678", "displayNumber": "12345678", "clientId": 0, "caption": "Bitcoin", "currency": { "alphabeticCode": "USD", "minorUnit": 2, "name": "US Dollar", "numericCode": 840 }, "group": { "id": 0, "name": "Fiat" }, "name": "USD", "archive": false, "permissions": [ "deposit", "trade", "withdrawal" ], "platform": { "id": 1, "name": "MT5", "type": "MetaTrader5", "caption": "MetaTrader 5" }, "product": { "id": 0, "name": "Forex" }, "statement": { "availableBalance": "1.000000000000000000", "currentBalance": "1.000000000000000000", "credit": "1.000000000000000000", "equity": "1.000000000000000000", "freeMargin": "1.000000000000000000", "hold": "1.000000000000000000", "margin": "1.000000000000000000", "marginLevel": "1.000000000000000000", "pnl": "1.000000000000000000", "updateTime": "2022-01-01T00:00:00+00:00" }, "type": "trade", "archiveTime": "2022-01-01T00:00:00+00:00", "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00" }, "amount": "1.000000000000000000", "commission": "1.000000000000000000", "currency": { "alphabeticCode": "USD", "minorUnit": 2, "name": "US Dollar", "numericCode": 840 } }, "debitDetails": { "account": { "accountId": 0, "accountNumber": "12345678", "displayNumber": "12345678", "clientId": 0, "caption": "Bitcoin", "currency": { "alphabeticCode": "USD", "minorUnit": 2, "name": "US Dollar", "numericCode": 840 }, "group": { "id": 0, "name": "Fiat" }, "name": "USD", "archive": false, "permissions": [ "deposit", "trade", "withdrawal" ], "platform": { "id": 1, "name": "MT5", "type": "MetaTrader5", "caption": "MetaTrader 5" }, "product": { "id": 0, "name": "Forex" }, "statement": { "availableBalance": "1.000000000000000000", "currentBalance": "1.000000000000000000", "credit": "1.000000000000000000", "equity": "1.000000000000000000", "freeMargin": "1.000000000000000000", "hold": "1.000000000000000000", "margin": "1.000000000000000000", "marginLevel": "1.000000000000000000", "pnl": "1.000000000000000000", "updateTime": "2022-01-01T00:00:00+00:00" }, "type": "trade", "archiveTime": "2022-01-01T00:00:00+00:00", "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00" }, "amount": "1.000000000000000000", "commission": "1.000000000000000000", "currency": { "alphabeticCode": "USD", "minorUnit": 2, "name": "US Dollar", "numericCode": 840 } }, "foreignExchangeRate": "1.000000000000000000", "meta": { "id": 479, "blockchainTransaction": "Lorem ipsum", "comment": "Lorem ipsum dolor sit amet", "invoice": "gNqHzjlhrw", "providerCommission": "1.000000000000000000", "providerOptions": [ { "key": "beneficiary_name", "value": "John Smith" }, { "key": "bank_account_number", "value": "12345678" }, { "key": "bank_name", "value": "Citibank" }, { "key": "bank_address", "value": "388 Greenwich Street, New York, NY 10013, USA" } ], "verificationStatus": "approved", "createTime": "2022-01-01T00:00:00+00:00", "invoiceTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00" }, "method": { "id": 0, "name": "PayPal", "groups": [ { "id": 1, "name": "Crypto" } ] }, "application": { "id": 0, "status": "approved", "type": "withdrawal", "createTime": "2022-01-01T00:00:00+00:00", "processedTime": "2022-01-01T00:00:00+00:00" }, "resolution": { "id": 0, "name": "Lorem ipsum" }, "status": "done", "type": "withdrawal", "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00", "processedTime": "2022-01-01T00:00:00+00:00" } ]}{ "error": { "message": "Bad Request", "code": 0, "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}